Bug 252937 - getent(1) doesn't list all databases
Summary: getent(1) doesn't list all databases
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-16 07:04 UTC by Markus Armbruster
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 13:48:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markus Armbruster 2007-08-16 07:04:07 UTC
Description of problem:
The manual page for getent doesn't list the ahosts database.  More databases
might be missing.

Steps to Reproduce:
1. man getent | grep -C 1 ethers
  
Actual results:
       database using the specified search keys.  Where database is one of
       aliases, ethers, group, hosts, netgroup, networks, passwd, protocols,
       rpc, services or shadow.

Expected results:
Complete list of databases, including ahosts, in particular.

Comment 1 Jakub Jelinek 2007-08-16 07:17:17 UTC
The getent man page is not part of glibc.
And getent --help lists all databases.

Comment 2 Ivana Varekova 2007-08-20 13:48:31 UTC
Fixed in man-pages-2.63-2.


Note You need to log in before you can comment on or make changes to this bug.